class_name ChocolateGauge
extends PanelContainer

var chocolate_count := 0

@onready var chocolateCounter: Label = %ChocolateCounter


func increment_chocolate(count: int) -> void:
	chocolate_count += count
	chocolateCounter.set_text(str(chocolate_count))


func _on_main_walker_chocolate_collected() -> void:
	increment_chocolate(1)
